curl --request GET \
--url https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/users/{userId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/users/{userId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234",
"status": "active",
"createdAt": "2003-04-10T08:00:00.000Z",
"updatedAt": "2003-04-10T08:00:00.000Z",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"cellphone": "+14084029292",
"languageCode": "EN"
}Retrieve an internal user by ID
Get a specific internal user (human agent) by its unique identifier within the workspace.
Authorizations
Copy the API key as provided by the Bridge Console.
Path Parameters
Unique identifier of the workspace (UUID v4).
"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"
Unique identifier of the internal user (UUID v4).
"4e362e2b-67b2-4a7e-a9df-e9ecf9141be8"
Response
Successful Response
Response body for internal-user (human agent) read operations.
Unique identifier for the internal user (UUID v4).
"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"
'active' when the internal user is live, 'disabled' when the user has been removed.
active, disabled "active"
"disabled"
Timestamp when the internal user was created.
"2003-04-10T08:00:00.000Z"
Timestamp when the internal user was last updated.
"2003-04-10T08:00:00.000Z"
Internal user's first name.
"John"
Internal user's last name.
"Doe"
Internal user's email address.
"john.doe@example.com"
Internal user's cellphone number.
"+14084029292"
Language code of the internal user.
ES, EN "EN"
Was this page helpful?

